src/atmo/cs_at_plugin.h File Reference

| programmer's documentation

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
cs_at_plugin.h File Reference

Go to the source code of this file.

## Functions
void | plug_aerosol (cs_int_t *nx, cs_int_t *ny, cs_int_t *nz, cs_int_t *ns, cs_real_t *ts, cs_real_t *dlhumid, cs_real_t *dltemp, cs_real_t *dlpress, cs_real_t *delta_t, cs_real_t *dlconc, cs_int_t *noptions_aer, cs_int_t *options_aer, cs_int_t *ns_aer, cs_int_t *nbin_aer, cs_int_t *ncycle_aer, cs_real_t *bin_bound_aer, cs_real_t *fixed_density_aer, cs_real_t *density_aer, cs_int_t *couples_coag, cs_int_t *first_index_coag, cs_int_t *second_index_coag, cs_real_t *coefficient_coag, cs_real_t *dlconc_aer, cs_real_t *dlnum_aer)
void | plug_compute_coagulation_coefficient (cs_int_t *nbin_aer, cs_real_t *bin_bound, cs_int_t *couple, cs_int_t *first_index, cs_int_t *second_index, cs_real_t *partition_coefficient)

## Function Documentation

void plug_aerosol | ( | cs_int_t * | nx,
|  | cs_int_t * | ny,
|  | cs_int_t * | nz,
|  | cs_int_t * | ns,
|  | cs_real_t * | ts,
|  | cs_real_t * | dlhumid,
|  | cs_real_t * | dltemp,
|  | cs_real_t * | dlpress,
|  | cs_real_t * | delta_t,
|  | cs_real_t * | dlconc,
|  | cs_int_t * | noptions_aer,
|  | cs_int_t * | options_aer,
|  | cs_int_t * | ns_aer,
|  | cs_int_t * | nbin_aer,
|  | cs_int_t * | ncycle_aer,
|  | cs_real_t * | bin_bound_aer,
|  | cs_real_t * | fixed_density_aer,
|  | cs_real_t * | density_aer,
|  | cs_int_t * | couples_coag,
|  | cs_int_t * | first_index_coag,
|  | cs_int_t * | second_index_coag,
|  | cs_real_t * | coefficient_coag,
|  | cs_real_t * | dlconc_aer,
|  | cs_real_t * | dlnum_aer
| ) |  |

void plug_compute_coagulation_coefficient | ( | cs_int_t * | nbin_aer,
|  | cs_real_t * | bin_bound,
|  | cs_int_t * | couple,
|  | cs_int_t * | first_index,
|  | cs_int_t * | second_index,
|  | cs_real_t * | partition_coefficient
| ) |  |